Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.javahl
Class JavaHLDebugLog

    java.lang.Object
      org.tmatesoft.svn.util.SVNDebugLogAdapter
          org.tmatesoft.svn.core.javahl.JavaHLDebugLog

All Implemented Interfaces:
  org.tmatesoft.svn.util.ISVNDebugLog

public class JavaHLDebugLog
extends org.tmatesoft.svn.util.SVNDebugLogAdapter

Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`JavaHLDebugLog()`

Method Summary
`void` | `enableLogging(int logLevel, File logPath, Formatter formatter)`
`static JavaHLDebugLog` | `getInstance()`
`void` | `log(org.tmatesoft.svn.util.SVNLogType logType, String message, byte[] data)`
`void` | `log(org.tmatesoft.svn.util.SVNLogType logType, String message, Level logLevel)`
`void` | `log(org.tmatesoft.svn.util.SVNLogType logType, Throwable th, Level logLevel)`

Methods inherited from class org.tmatesoft.svn.util.SVNDebugLogAdapter
`createInputLogStream, createLogStream, createLogStream, createOutputLogStream, flushStream, logError, logError, logFine, logFine, logFiner, logFiner, logFinest, logFinest, logSevere, logSevere`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaHLDebugLog

    public JavaHLDebugLog()

Method Detail

### getInstance

    public static JavaHLDebugLog getInstance()

### enableLogging

    public void enableLogging(int logLevel,
                              File logPath,
                              Formatter formatter)
                       throws SVNException

  Throws:
    `SVNException`

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    String message,
                    byte[] data)

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    Throwable th,
                    Level logLevel)

### log

    public void log(org.tmatesoft.svn.util.SVNLogType logType,
                    String message,
                    Level logLevel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.